# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::IndexIteratorAbstract Class Reference

Abstract class used as base for all the index iterators specializations. More...

`#include <IndexIterator.hpp>`

Inheritance diagram for vl::IndexIteratorAbstract:

List of all members.

## Public Member Functions

| IndexIteratorAbstract ()
int | index () const
virtual bool | hasNext () const =0
virtual bool | next ()=0

## Protected Attributes

int | mIndex

## Detailed Description

Abstract class used as base for all the index iterators specializations.

Definition at line 43 of file IndexIterator.hpp.

## Constructor & Destructor Documentation

vl::IndexIteratorAbstract::IndexIteratorAbstract | ( | ) | `[inline]`

Definition at line 48 of file IndexIterator.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

int vl::IndexIteratorAbstract::index | ( | ) | const`[inline]`

Definition at line 52 of file IndexIterator.hpp.

References mIndex.

virtual bool vl::IndexIteratorAbstract::hasNext | ( | ) | const`[pure virtual]`

Implemented in vl::IndexIteratorDrawArrays, and vl::IndexIteratorElements< TArray >.

virtual bool vl::IndexIteratorAbstract::next | ( | ) | `[pure virtual]`

Implemented in vl::IndexIteratorDrawArrays, and vl::IndexIteratorElements< TArray >.

## Member Data Documentation

int vl::IndexIteratorAbstract::mIndex`[protected]`

Definition at line 57 of file IndexIterator.hpp.

Referenced by index(), vl::IndexIteratorElements< TArray >::initialize(), vl::IndexIteratorDrawArrays::initialize(), vl::IndexIteratorElements< TArray >::next(), and vl::IndexIteratorDrawArrays::next().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/IndexIterator.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:39.
Permission is granted to use this page to write and publish articles regarding Visualization Library.